AT-NFC 2.1 (win) AT-NFC kernel set

Data Fields
tag_NFC_EP_PRE_DATA Struct Reference
NFC Entry Point data definitions

EP preprocessing data version 1. More...

`#include <nfc_ep_data.h>`

## Data Fields
KER_INT16U | usSize
KER_BYTE | btVersion
KER_BYTE | ar_btAID [16]
KER_BYTE | btAIDLen
KER_BYTE | ar_btKernelID [8]
KER_BYTE | btKernelIDLen
KER_TLV * | pConfigData
KER_TLV * | pTranData
KER_INT16U | usPreDataPresentMask
KER_INT16U | usPreDataSetMask
KER_BYTE | ar_btTTQ [4]
KER_BYTE | ar_btLimitClessTran [4]
KER_BYTE | ar_btLimitClessFloor [4]
KER_BYTE | ar_btLimitCVMRequired [4]
KER_INT16U | usPreprocIndicators
KER_BYTE | ar_btCopyTTQ [4]

## Detailed Description

EP preprocessing data version 1.

## Field Documentation

## ◆ ar_btAID

KER_BYTE ar_btAID[16]

Combination AID

## ◆ ar_btCopyTTQ

KER_BYTE ar_btCopyTTQ[4]

Copy of TTQ *(EMV Book A, Table 5-4)

## ◆ ar_btKernelID

KER_BYTE ar_btKernelID[8]

Combination Kernel ID

## ◆ ar_btLimitClessFloor

KER_BYTE ar_btLimitClessFloor[4]

Reader Contactless Floor Limit

## ◆ ar_btLimitClessTran

KER_BYTE ar_btLimitClessTran[4]

Reader Contactless Transaction Limit

## ◆ ar_btLimitCVMRequired

KER_BYTE ar_btLimitCVMRequired[4]

Reader CVM Required Limit

## ◆ ar_btTTQ

KER_BYTE ar_btTTQ[4]

TTQ (EMV Book A, Table 5-4)

## ◆ btAIDLen

KER_BYTE btAIDLen

AID length

## ◆ btKernelIDLen

KER_BYTE btKernelIDLen

Kernel ID length

## ◆ btVersion

KER_BYTE btVersion

version

## ◆ pConfigData

KER_TLV* pConfigData

terminal configuration for certain combination

## ◆ pTranData

KER_TLV* pTranData

transaction data for certain combination

## ◆ usPreDataPresentMask

KER_INT16U usPreDataPresentMask

EP Configuration data present in terminal configuration mask (EMV Book A, Table 5-2)

## ◆ usPreDataSetMask

KER_INT16U usPreDataSetMask

EP Configuration data set in terminal configuration mask mask (EMV Book A, Table 5-2)

## ◆ usPreprocIndicators

KER_INT16U usPreprocIndicators

EP Preprocessing Indicators (EMV Book A, Table 5-3)

## ◆ usSize

KER_INT16U usSize

size of struct

The documentation for this struct was generated from the following file:

- D:/VM_SHARE/Views_Static/petrov_dev_emv_VM_view/EMV_NEXT/Kernels/inc/nfc/nfc_ep_data.h